unit unMain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Menus;

type

  { TfrmMain }

  TfrmMain = class(TForm)
    MyMenu: TMainMenu;
    mainMenu: TMenuItem;
    itemOpen: TMenuItem;
    itemSave: TMenuItem;
    itemQuit: TMenuItem;
    nemo: TMemo;
    fileopener: TOpenDialog;
    filesaver: TSaveDialog;
    procedure FormCreate(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure itemOpenClick(Sender: TObject);
    procedure itemQuitClick(Sender: TObject);
    procedure itemSaveClick(Sender: TObject);
  private

  public

  end;

var
  frmMain: TfrmMain;

implementation

{$R *.lfm}

{ TfrmMain }

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  //setup
  nemo.Left := 10;
  nemo.width := clientwidth-40;
  nemo.Top := 30;
  nemo.height := clientheight-40;
  nemo.lines.clear;
end;

procedure TfrmMain.FormResize(Sender: TObject);
begin
  //resize edit window
  nemo.Left := 10;
  nemo.width := clientwidth-10;
  nemo.Top := 30;
  nemo.height := clientheight-40;
end;

procedure TfrmMain.itemOpenClick(Sender: TObject);
begin
  if fileOpener.Execute then
    nemo.lines.loadfromfile(fileOpener.Filename);

end;

procedure TfrmMain.itemQuitClick(Sender: TObject);
begin
  close
end;

procedure TfrmMain.itemSaveClick(Sender: TObject);
begin
   if filesaver.Execute then
     nemo.Lines.SaveToFile( filesaver.Filename );
end;

end.

